Subject: Merge pull request #792 from kaadevelop/11.0
Author: Bot
Committer: GitHub

Date Level Type Message
2019-08-07 08:05:58 INFO runbot init Init build environment
2019-08-07 08:05:58 INFO runbot checkout closest branch for odoo/odoo is refs/heads/12.0
2019-08-07 08:05:58 INFO runbot checkout closest branch for it-projects-llc/web is refs/heads/12.0
2019-08-07 08:05:58 INFO runbot checkout closest branch for it-projects-llc/website-addons is refs/heads/12.0
2019-08-07 08:05:58 INFO runbot checkout closest branch for it-projects-llc/access-addons is refs/heads/12.0
2019-08-07 08:05:58 INFO runbot checkout closest branch for it-projects-llc/mail-addons is refs/heads/12.0
2019-08-07 08:05:58 INFO runbot checkout closest branch for it-projects-llc/server-tools is refs/heads/12.0
2019-08-07 08:05:58 INFO runbot checkout closest branch for it-projects-llc/project is refs/heads/12.0
2019-08-07 08:05:58 INFO runbot checkout closest branch for it-projects-llc/hr is refs/heads/12.0
2019-08-07 08:05:58 INFO runbot checkout closest branch for OCA/website is refs/heads/12.0
2019-08-07 08:05:58 INFO runbot checkout closest branch for codup/odoo-ru is refs/heads/12.0
2019-08-07 08:05:58 INFO runbot checkout modules to install: [u'base', u'base_attendance', u'attachment_large_object', u'base_details', u'autostaging_base', u'base_groupby_extra', u'autostaging_project_task']
2019-08-07 08:06:35 INFO runbot check_branch_name success
2019-08-07 08:06:38 INFO runbot test_base Test Updated and explicit modules
2019-08-07 08:06:38 INFO runbot _install_and_test DB: 02921-799-2475c6-base, Modules: base, base_attendance, attachment_large_object, base_details, autostaging_base, base_groupby_extra, autostaging_project_task
2019-08-07 08:07:02 WARNING server odoo.models:529 _build_model_attributes The model autostaging.folder has no _description
2019-08-07 08:07:02 WARNING server odoo.models:529 _build_model_attributes The model autostaging.stage has no _description
2019-08-07 08:07:02 WARNING server odoo.models:529 _build_model_attributes The model autostaging.card has no _description
2019-08-07 08:07:02 WARNING server odoo.models:529 _build_model_attributes The model base_groupby_extra has no _description
2019-08-07 08:07:04 WARNING server odoo.models:529 _build_model_attributes The model autostaging.folder has no _description
2019-08-07 08:07:04 WARNING server odoo.models:529 _build_model_attributes The model autostaging.stage has no _description
2019-08-07 08:07:04 WARNING server odoo.models:529 _build_model_attributes The model autostaging.card has no _description
2019-08-07 08:07:04 WARNING server odoo.models:529 _build_model_attributes The model base_groupby_extra has no _description
2019-08-07 08:07:06 WARNING server odoo.models:529 _build_model_attributes The model base_details has no _description
2019-08-07 08:07:06 WARNING server odoo.models:529 _build_model_attributes The model base_details_record has no _description
2019-08-07 08:07:06 WARNING server odoo.addons.base.models.ir_model:838 _reflect_model Two fields (details_res_id, details_model_record) of base_details() have the same label: Record.
2019-08-07 08:07:06 WARNING server odoo.models:529 _build_model_attributes The model autostaging.folder has no _description
2019-08-07 08:07:06 WARNING server odoo.models:529 _build_model_attributes The model autostaging.stage has no _description
2019-08-07 08:07:06 WARNING server odoo.models:529 _build_model_attributes The model autostaging.card has no _description
2019-08-07 08:07:06 WARNING server odoo.models:529 _build_model_attributes The model base_groupby_extra has no _description
2019-08-07 08:07:06 WARNING server odoo.models:529 _build_model_attributes The model base_details has no _description
2019-08-07 08:07:06 WARNING server odoo.models:529 _build_model_attributes The model base_details_record has no _description
2019-08-07 08:07:08 WARNING server odoo.addons.base.models.ir_model:838 _reflect_model Two fields (details_res_id, details_model_record) of base_details() have the same label: Record.
2019-08-07 08:07:11 ERROR server odoo.tools.view_validation:58 schema_valid <string>:0:0:ERROR:RELAXNGV:RELAXNG_ERR_ATTRVALID: Element filter failed to validate attributes
2019-08-07 08:07:11 ERROR server odoo.tools.view_validation:58 schema_valid <string>:4:0:ERROR:RELAXNGV:RELAXNG_ERR_NOELEM: Expecting an element field, got nothing
2019-08-07 08:07:11 ERROR server odoo.tools.view_validation:58 schema_valid <string>:2:0:ERROR:RELAXNGV:RELAXNG_ERR_EXTRACONTENT: Element search has extra content: field
2019-08-07 08:07:11 ERROR server odoo.tools.view_validation:20 valid_view Invalid XML: Get RNG validator and validate RNG file.
2019-08-07 08:07:11 WARNING server odoo.modules.loading:540 reset_modules_state Transient module states were reset
2019-08-07 08:07:11 ERROR server odoo.modules.registry:91 new
Failed to load registry
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/tools/convert.py", line 758, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/tools/convert.py", line 663, in _tag_record
    record = model.with_context(rec_context)._load_records([data], self.mode == 'update')
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3865, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3779, in _load_records_create
    return self.create(values)
  File "<decorator-gen-32>", line 2, in create
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/api.py", line 452, in _model_create_multi
    return create(self, arg)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_ui_view.py", line 428, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/api.py", line 452, in _model_create_multi
    return create(self, arg)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3596, in create
    fields[0].determine_inverse(batch_recs)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/fields.py", line 1117, in determine_inverse
    getattr(records, self.inverse)()
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_ui_view.py", line 275, in _inverse_arch
    view.write(data)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_ui_view.py", line 444, in write
    return super(View, self).write(self._compute_defaults(vals))
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3321, in write
    self._write(store_vals)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3457, in _write
    self._validate_fields(vals)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 1108, in _validate_fields
    check(self)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_ui_view.py", line 360, in _check_xml
    raise ValidationError(_('Invalid view %s definition in %s') % (view.name, view.arch_fs))
odoo.exceptions.ValidationError: ('Invalid view res_partner_attendance_view_filter definition in base_attendance/views/res_attendance_view.xml', None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/modules/loading.py", line 421, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/modules/loading.py", line 313, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/modules/loading.py", line 222, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package, report=report)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/modules/loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/tools/convert.py", line 802, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/tools/convert.py", line 865, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/tools/convert.py", line 764, in parse
    exc_info[2]
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/tools/convert.py", line 758, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/tools/convert.py", line 663, in _tag_record
    record = model.with_context(rec_context)._load_records([data], self.mode == 'update')
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3865, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3779, in _load_records_create
    return self.create(values)
  File "<decorator-gen-32>", line 2, in create
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/api.py", line 452, in _model_create_multi
    return create(self, arg)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_ui_view.py", line 428, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/api.py", line 452, in _model_create_multi
    return create(self, arg)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3596, in create
    fields[0].determine_inverse(batch_recs)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/fields.py", line 1117, in determine_inverse
    getattr(records, self.inverse)()
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_ui_view.py", line 275, in _inverse_arch
    view.write(data)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_ui_view.py", line 444, in write
    return super(View, self).write(self._compute_defaults(vals))
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3321, in write
    self._write(store_vals)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3457, in _write
    self._validate_fields(vals)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 1108, in _validate_fields
    check(self)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_ui_view.py", line 360, in _check_xml
    raise ValidationError(_('Invalid view %s definition in %s') % (view.name, view.arch_fs))
odoo.tools.convert.ParseError: "Invalid view res_partner_attendance_view_filter definition in base_attendance/views/res_attendance_view.xml
None" while parsing /mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base_attendance/views/res_attendance_view.xml:37, near
<record id="hr_attendance_view_filter" model="ir.ui.view">
        <field name="name">res_partner_attendance_view_filter</field>
        <field name="model">res.partner.attendance</field>
        <field name="arch" type="xml">
            <search string="Partner Attendance Search">
                <field name="partner_id"/>
                <filter name="today" string="Today" domain="[('check_in', '&gt;=', datetime.datetime.now().replace(hour=0, minute=0, second=0)),('check_in', '&lt;=', datetime.datetime.now().replace(hour=23, minute=59, second=59))]"/>
                <filter string="Current Month" domain="[('check_in', '&gt;=', datetime.datetime.now().strftime('%Y-%m-01'))]"/>
                <separator/>
                <filter string="No Check Out" domain="[('check_out', '=', False)]"/>
                <separator/>
                <group expand="0" string="Group By">
                    <filter name="Partner" string="Partner" context="{'group_by':'partner_id'}"/>
                    <separator/>
                    <filter name="groupby_name" string="Month" context="{'group_by':'check_in'}"/>
                </group>
            </search>
        </field>
    </record>
2019-08-07 08:07:11 CRITICAL server odoo.service.server:1144 preload_registries
Failed to initialize database `02921-799-2475c6-base`.
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/tools/convert.py", line 758, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/tools/convert.py", line 663, in _tag_record
    record = model.with_context(rec_context)._load_records([data], self.mode == 'update')
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3865, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3779, in _load_records_create
    return self.create(values)
  File "<decorator-gen-32>", line 2, in create
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/api.py", line 452, in _model_create_multi
    return create(self, arg)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_ui_view.py", line 428, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/api.py", line 452, in _model_create_multi
    return create(self, arg)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3596, in create
    fields[0].determine_inverse(batch_recs)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/fields.py", line 1117, in determine_inverse
    getattr(records, self.inverse)()
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_ui_view.py", line 275, in _inverse_arch
    view.write(data)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_ui_view.py", line 444, in write
    return super(View, self).write(self._compute_defaults(vals))
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3321, in write
    self._write(store_vals)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3457, in _write
    self._validate_fields(vals)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 1108, in _validate_fields
    check(self)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_ui_view.py", line 360, in _check_xml
    raise ValidationError(_('Invalid view %s definition in %s') % (view.name, view.arch_fs))
odoo.exceptions.ValidationError: ('Invalid view res_partner_attendance_view_filter definition in base_attendance/views/res_attendance_view.xml', None)

During handling of the above exception, another exception occurred:

Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/service/server.py", line 1116, in preload_registries
    registry = Registry.new(dbname, update_module=update_module)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/modules/loading.py", line 421, in load_modules
    loaded_modules, update_module, models_to_check)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/modules/loading.py", line 313, in load_marked_modules
    perform_checks=perform_checks, models_to_check=models_to_check
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/modules/loading.py", line 222, in load_module_graph
    load_data(cr, idref, mode, kind='data', package=package, report=report)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/modules/loading.py", line 68, in load_data
    tools.convert_file(cr, package.name, filename, idref, mode, noupdate, kind, report)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/tools/convert.py", line 802, in convert_file
    convert_xml_import(cr, module, fp, idref, mode, noupdate, report)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/tools/convert.py", line 865, in convert_xml_import
    obj.parse(doc.getroot(), mode=mode)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/tools/convert.py", line 764, in parse
    exc_info[2]
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/tools/pycompat.py", line 86, in reraise
    raise value.with_traceback(tb)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/tools/convert.py", line 758, in parse
    self._tags[rec.tag](rec, de, mode=mode)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/tools/convert.py", line 663, in _tag_record
    record = model.with_context(rec_context)._load_records([data], self.mode == 'update')
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3865, in _load_records
    records = self._load_records_create([data['values'] for data in to_create])
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3779, in _load_records_create
    return self.create(values)
  File "<decorator-gen-32>", line 2, in create
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/api.py", line 452, in _model_create_multi
    return create(self, arg)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_ui_view.py", line 428, in create
    return super(View, self).create(vals_list)
  File "<decorator-gen-3>", line 2, in create
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/api.py", line 452, in _model_create_multi
    return create(self, arg)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3596, in create
    fields[0].determine_inverse(batch_recs)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/fields.py", line 1117, in determine_inverse
    getattr(records, self.inverse)()
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_ui_view.py", line 275, in _inverse_arch
    view.write(data)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_ui_view.py", line 444, in write
    return super(View, self).write(self._compute_defaults(vals))
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3321, in write
    self._write(store_vals)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 3457, in _write
    self._validate_fields(vals)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/models.py", line 1108, in _validate_fields
    check(self)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_ui_view.py", line 360, in _check_xml
    raise ValidationError(_('Invalid view %s definition in %s') % (view.name, view.arch_fs))
odoo.tools.convert.ParseError: "Invalid view res_partner_attendance_view_filter definition in base_attendance/views/res_attendance_view.xml
None" while parsing /mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base_attendance/views/res_attendance_view.xml:37, near
<record id="hr_attendance_view_filter" model="ir.ui.view">
        <field name="name">res_partner_attendance_view_filter</field>
        <field name="model">res.partner.attendance</field>
        <field name="arch" type="xml">
            <search string="Partner Attendance Search">
                <field name="partner_id"/>
                <filter name="today" string="Today" domain="[('check_in', '&gt;=', datetime.datetime.now().replace(hour=0, minute=0, second=0)),('check_in', '&lt;=', datetime.datetime.now().replace(hour=23, minute=59, second=59))]"/>
                <filter string="Current Month" domain="[('check_in', '&gt;=', datetime.datetime.now().strftime('%Y-%m-01'))]"/>
                <separator/>
                <filter string="No Check Out" domain="[('check_out', '=', False)]"/>
                <separator/>
                <group expand="0" string="Group By">
                    <filter name="Partner" string="Partner" context="{'group_by':'partner_id'}"/>
                    <separator/>
                    <filter name="groupby_name" string="Month" context="{'group_by':'check_in'}"/>
                </group>
            </search>
        </field>
    </record>
2019-08-07 08:08:45 INFO runbot pylint_script Start pylint script
2019-08-07 08:08:45 INFO runbot pylint_script No config file detected
2019-08-07 08:09:43 INFO runbot test_all ============= Test all modules =============
2019-08-07 08:09:43 INFO runbot _install_and_test DB: 02921-799-2475c6-all, Modules: base, autostaging_project_task, base_attendance, res_users_signature, web_sessions_management, project_tags, custom_menu_bar, project_task_order_kanban_state, base_import_map, res_partner_phone, web_debranding, invoice_sale_order_line_group, ir_attachment_force_storage, product_category_taxes, project_gantt8, reminder_crm_next_action, web_iframe_pages, autostaging_base, ir_attachment_url, web_calendar_repeat_form, thecage_data, base_session_store_psql, project_kanban_customer, customer_marketing, gamification_extra, attachment_large_object, booking_calendar_analytic, fleet_odometer_oil, auth_signup_confirmation, import_csv_fix_field_limit, project_task_auto_staging, crm_next_action, web_tour_extra, base_details, reminder_base, barcode_widget, ir_attachment_s3, product_details, project_task_subtask, project_description, reminder_task_deadline, hr_rule_input_compute, delivery_sequence, res_partner_country_code, web_calendar_quick_navigation, web_gantt8, reminder_crm_next_action_time, ir_actions_todo_repeat, res_users_signature_hr, base_groupby_extra, reminder_issue_deadline, ir_config_parameter_multi_company, production_lot_details, web_multi_attachment_base, project_task_search_custom, reminder_hr_recruitment, web_iframe, project_timelog, pitch_booking, delivery_special, web_website, web_preview, auth_signup_confirmation_crm, currency_rate_update, sale_order_hide_tax, sms_sg, res_partner_skype, web_debranding_support, hr_public_holidays_ics_import, product_tags, crm_expected_revenue, web_polymorphic_field, fleet_odometer_track_changes, booking_calendar
2019-08-07 08:10:08 WARNING server odoo.modules.loading:540 reset_modules_state Transient module states were reset
2019-08-07 08:10:08 ERROR server odoo.modules.registry:91 new
Failed to load registry
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/modules/loading.py", line 386, in load_modules
    modules.button_install()
  File "<decorator-gen-60>", line 2, in button_install
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_module.py", line 74, in check_and_log
    return method(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_module.py", line 394, in button_install
    modules._state_update('to install', ['uninstalled'])
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_module.py", line 359, in _state_update
    raise UserError(_("You try to install module '%s' that depends on module '%s'.\nBut the latter module is not available in your system.") % (module.name, dep.name,))
odoo.exceptions.UserError: ("You try to install module 'web_debranding' that depends on module 'web_planner'.\nBut the latter module is not available in your system.", '')
2019-08-07 08:10:08 CRITICAL server odoo.service.server:1144 preload_registries
Failed to initialize database `02921-799-2475c6-all`.
Traceback (most recent call last):
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/service/server.py", line 1116, in preload_registries
    registry = Registry.new(dbname, update_module=update_module)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/modules/registry.py", line 86, in new
    odoo.modules.load_modules(registry._db, force_demo, status, update_module)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/modules/loading.py", line 386, in load_modules
    modules.button_install()
  File "<decorator-gen-60>", line 2, in button_install
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_module.py", line 74, in check_and_log
    return method(self, *args, **kwargs)
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_module.py", line 394, in button_install
    modules._state_update('to install', ['uninstalled'])
  File "/mnt/odoo-extra/runbot/static/build/02921-799-2475c6/odoo/addons/base/models/ir_module.py", line 359, in _state_update
    raise UserError(_("You try to install module '%s' that depends on module '%s'.\nBut the latter module is not available in your system.") % (module.name, dep.name,))
odoo.exceptions.UserError: ("You try to install module 'web_debranding' that depends on module 'web_planner'.\nBut the latter module is not available in your system.", '')
2019-08-07 08:10:41 INFO runbot run Start running build 02921-799-2475c6
2019-08-07 08:11:47 WARNING server odoo.models:529 _build_model_attributes The model autostaging.folder has no _description
2019-08-07 08:11:47 WARNING server odoo.models:529 _build_model_attributes The model autostaging.stage has no _description
2019-08-07 08:11:47 WARNING server odoo.models:529 _build_model_attributes The model autostaging.card has no _description
2019-08-07 08:11:47 WARNING server odoo.models:529 _build_model_attributes The model base_groupby_extra has no _description
2019-08-07 08:11:47 WARNING server odoo.models:529 _build_model_attributes The model autostaging.folder has no _description
2019-08-07 08:11:47 WARNING server odoo.models:529 _build_model_attributes The model autostaging.stage has no _description
2019-08-07 08:11:47 WARNING server odoo.models:529 _build_model_attributes The model autostaging.card has no _description
2019-08-07 08:11:47 WARNING server odoo.models:529 _build_model_attributes The model base_groupby_extra has no _description
2019-08-07 08:11:47 WARNING server odoo.models:529 _build_model_attributes The model base_details has no _description
2019-08-07 08:11:47 WARNING server odoo.models:529 _build_model_attributes The model base_details_record has no _description
2019-08-07 08:11:47 WARNING server odoo.models:529 _build_model_attributes The model autostaging.folder has no _description
2019-08-07 08:11:47 WARNING server odoo.models:529 _build_model_attributes The model autostaging.stage has no _description
2019-08-07 08:11:47 WARNING server odoo.models:529 _build_model_attributes The model autostaging.card has no _description
2019-08-07 08:11:47 WARNING server odoo.models:529 _build_model_attributes The model base_groupby_extra has no _description
2019-08-07 08:11:47 WARNING server odoo.models:529 _build_model_attributes The model base_details has no _description
2019-08-07 08:11:47 WARNING server odoo.models:529 _build_model_attributes The model base_details_record has no _description
2019-08-07 08:29:05 INFO runbot kill Kill build 02921-799-2475c6